A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< unsigned > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = u32 , ctype = f32 }
typedef unsigned | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 104 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef unsigned base_type

Definition at line 109 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 105 of file traits.hpp.

105 {
106 af_type = u32 ,
107 ctype = f32
108 };
u32
@ u32
32-bit unsigned integral values
Definition defines.h:217
f32
@ f32
32-bit floating point values
Definition defines.h:211
af::dtype_traits< unsigned >::af_type
@ af_type
Definition traits.hpp:106
af::dtype_traits< unsigned >::ctype
@ ctype
Definition traits.hpp:107

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 110 of file traits.hpp.

110{ return "uint"; }

The documentation for this struct was generated from the following file:

- traits.hpp